summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMaarten van Gompel2015-06-21 12:50:44 +0200
committerMaarten van Gompel2015-06-21 12:50:44 +0200
commita01bc4ec85078e4a35847834ff0db75ab82417e0 (patch)
tree8b0e6deda71f5becfb64cc0dd0f6e6e46553af07
downloadaur-a01bc4ec85078e4a35847834ff0db75ab82417e0.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD37
2 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..cd1ba016800
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = frogdata-git
+ pkgdesc = Data for Frog. Frog is an integration of memory-based natural language processing (NLP) modules developed for Dutch.
+ pkgver = 1
+ pkgrel = 1
+ url = http://ilk.uvt.nl/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = libtool
+ makedepends = autoconf
+ provides = frogdata
+ conflicts = frogdata
+ options = !libtool
+ source = git://github.com/proycon/frogdata.git
+ md5sums = SKIP
+
+pkgname = frogdata-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a9a8d623a06
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Maarten van Gompel <proycon at anaproy.nl>
+
+_pkgname=frogdata
+pkgname=frogdata-git
+pkgver=1
+pkgrel=1
+pkgdesc="Data for Frog. Frog is an integration of memory-based natural language processing (NLP) modules developed for Dutch."
+arch=('i686' 'x86_64')
+url="http://ilk.uvt.nl/"
+license=('GPL')
+depends=()
+provides=('frogdata')
+conflicts=('frogdata')
+makedepends=('libtool' 'autoconf')
+options=(!libtool)
+source=("git://github.com/proycon/frogdata.git")
+_gitname=("frogdata")
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_gitname"
+ git rev-list --count HEAD
+}
+
+build() {
+ cd "$srcdir/$_gitname"
+ bash bootstrap.sh || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ make DESTDIR=$pkgdir install
+}
+